package com.kingdee.eas.custom.recuritment;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractApplicantBeisenInfo extends com.kingdee.eas.hr.base.HRBillBaseInfo implements Serializable 
{
    public AbstractApplicantBeisenInfo()
    {
        this("id");
    }
    protected AbstractApplicantBeisenInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object:北森应聘者's 应聘者idproperty 
     */
    public String getCandidateId()
    {
        return getString("candidateId");
    }
    public void setCandidateId(String item)
    {
        setString("candidateId", item);
    }
    /**
     * Object:北森应聘者's 申请idproperty 
     */
    public String getApplyId()
    {
        return getString("applyId");
    }
    public void setApplyId(String item)
    {
        setString("applyId", item);
    }
    /**
     * Object: 北森应聘者 's 需求管理 property 
     */
    public com.kingdee.shr.recuritment.RecuritmentDemandInfo getRecuritment()
    {
        return (com.kingdee.shr.recuritment.RecuritmentDemandInfo)get("recuritment");
    }
    public void setRecuritment(com.kingdee.shr.recuritment.RecuritmentDemandInfo item)
    {
        put("recuritment", item);
    }
    /**
     * Object:北森应聘者's 同步结果property 
     */
    public String getSyncResult()
    {
        return getString("syncResult");
    }
    public void setSyncResult(String item)
    {
        setString("syncResult", item);
    }
    /**
     * Object:北森应聘者's 同步状态property 
     */
    public com.kingdee.eas.custom.recuritment.bizEnum.ExecuteResultEnum getSyncStatus()
    {
        return com.kingdee.eas.custom.recuritment.bizEnum.ExecuteResultEnum.getEnum(getString("syncStatus"));
    }
    public void setSyncStatus(com.kingdee.eas.custom.recuritment.bizEnum.ExecuteResultEnum item)
    {
		if (item != null) {
        setString("syncStatus", item.getValue());
		}
    }
    /**
     * Object:北森应聘者's 需求名称property 
     */
    public String getRecuritmentName()
    {
        return getString("recuritmentName");
    }
    public void setRecuritmentName(String item)
    {
        setString("recuritmentName", item);
    }
    /**
     * Object:北森应聘者's 应聘者名称property 
     */
    public String getCandidateName()
    {
        return getString("candidateName");
    }
    public void setCandidateName(String item)
    {
        setString("candidateName", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("D413A099");
    }
}